certmonger(1)

NAME
getcert

SYNOPSIS
getcert status [options]

DESCRIPTION
Queries certmonger for a status of a particular certificate request and sets an exit status to reflect that status.

SELECTION OPTIONS

-d DIR
    Check that status of a certificate in the named NSS database. Must be specified with the -n option.

-n NAME
    Check that status of a certificate in with the specified nickname. Must be specified with the -d option.

-f FILE
    Check that status of a certificate stored in the specified PEM file.

-i NAME
    Check that status of a certificate with the specified request nickname.

EXIT STATUS

0   Certificate is issued and valid.

1   There was an error communicating with the certmonger(8) daemon, or there is no such certificate known to it.

2.  Certificate signing request was rejected by the CA.

3.  CA could not be reached, but attempts to communicate with it will be retried.

4.  Configuration error.

5.  Client is working on the request, or waiting for the server.

BUGS
Please file tickets for any that you find at https://fedorahosted.org/certmonger/

SEE ALSO
certmonger(8) getcert(1) getcert-add-ca(1) getcert-add-scep-ca(1) getcert-list-cas(1) getcert-list(1) getcert-modify-ca(1) getcert-refresh-ca(1) getcert-refresh(1) getcert-rekey(1) getcert-remove-ca(1) getcert-request(1) getcert-resubmit(1) getcert-start-tracking(1) getcert-status(1) getcert-stop-tracking(1) certmonger-certmaster-submit(8) certmonger-dogtag-ipa-renew-agent-submit(8) certmonger-dogtag-submit(8) certmonger-ipa-submit(8) certmonger-local-submit(8) certmonger-scep-submit(8) certmonger_selinux(8)